[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.GetChildren

GetChildren calls inherited GetChildren then takes ownership of all components, including those without parents

## Declaration

Source position: forms.pp line 530

`protected procedure TCustomForm.GetChildren(`
`Proc: TGetChildProc;`
`Root: TComponent`
`); override;`

## See also

TComponent.GetChildren
TWinControl.GetChildren |  | GetChildren - makes a list of all the child components for this control

The latest version of this document can be found at lazarus-ccr.sourceforge.net.